diff --git a/plugins/imuxsock/imuxsock.c b/plugins/imuxsock/imuxsock.c
index 038ee23911..8b9b4e94bf 100644
--- a/plugins/imuxsock/imuxsock.c
+++ b/plugins/imuxsock/imuxsock.c
@@ -44,6 +44,9 @@
 #ifdef HAVE_LIBSYSTEMD
 #	include <systemd/sd-daemon.h>
 #endif
+#if defined(__FreeBSD__)
+	#include <sys/param.h>
+#endif
 #include "rsyslog.h"
 #include "dirty.h"
 #include "cfsysline.h"
@@ -173,6 +176,11 @@ static int nfd = 1; /* number of active unix sockets  (socket 0 is always reserv
 			socket, even if it is not enabled. */
 static int sd_fds = 0;			/* number of systemd activated sockets */
 
+#if (defined(__FreeBSD__) && (__FreeBSD_version >= 1200061))
+	#define DFLT_bUseSpecialParser 1
+#else
+	#define DFLT_bUseSpecialParser 0
+#endif
 #define DFLT_bCreatePath 0
 #define DFLT_ratelimitInterval 0
 #define DFLT_ratelimitBurst 200
@@ -320,7 +328,7 @@ createInstance(instanceConf_t **pinst)
 	inst->ratelimitBurst = DFLT_ratelimitBurst;
 	inst->ratelimitSeverity = DFLT_ratelimitSeverity;
 	inst->bUseFlowCtl = 0;
-	inst->bUseSpecialParser = 1;
+	inst->bUseSpecialParser = DFLT_bUseSpecialParser;
 	inst->bParseHost = UNSET;
 	inst->bIgnoreTimestamp = 1;
 	inst->bCreatePath = DFLT_bCreatePath;
@@ -446,6 +454,7 @@ addListner(instanceConf_t *inst)
 			      listeners[nfd].ratelimitBurst);
 	ratelimitSetSeverity(listeners[nfd].dflt_ratelimiter,
 			     listeners[nfd].ratelimitSev);
+dbgprintf("imuxsock: set listener[%d].bUseSpecialParser to %d (default %d)\n", nfd, listeners[nfd].bUseSpecialParser, DFLT_bUseSpecialParser);
 	nfd++;
 
 finalize_it:
@@ -1194,6 +1203,7 @@ activateListeners(void)
 			listeners[0].ratelimitInterval,
 			listeners[0].ratelimitBurst);
 		ratelimitSetSeverity(listeners[0].dflt_ratelimiter,listeners[0].ratelimitSev);
+dbgprintf("imuxsock: set listener[%d].bUseSpecialParser to %d (default %d)\n", 0, listeners[0].bUseSpecialParser, DFLT_bUseSpecialParser);
 	}
 
 #ifdef HAVE_LIBSYSTEMD
@@ -1240,7 +1250,7 @@ CODESTARTbeginCnfLoad
 	pModConf->bAnnotateSysSock = 0;
 	pModConf->bParseTrusted = 0;
 	pModConf->bParseHost = UNSET;
-	pModConf->bUseSpecialParser = 1;
+	pModConf->bUseSpecialParser = DFLT_bUseSpecialParser;
 	/* if we do not process internal messages, we will see messages
 	 * from ourselves, and so we need to permit this.
 	 */
